"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("../style"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = _react.default.memo(function IconTreeView(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : _style.default;
  return _react.default.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, _react.default.createElement("g", {
    transform: "translate(2 1)",
    fillRule: "evenodd"
  }, _react.default.createElement("circle", {
    cx: "10",
    cy: "20",
    r: "2"
  }), _react.default.createElement("circle", {
    cx: "2",
    cy: "2",
    r: "2"
  }), _react.default.createElement("circle", {
    cx: "18",
    cy: "14",
    r: "2"
  }), _react.default.createElement("circle", {
    cx: "10",
    cy: "8",
    r: "2"
  }), _react.default.createElement("path", {
    d: "M8 20L5 20C3.34314575 20 2 18.6568542 2 17L2 4M16 14L13 14C11.3431458 14 10 12.6568542 10 11L10 10"
  }), _react.default.createElement("path", {
    d: "M2,8 L8,8"
  })));
});

exports.default = _default;