import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconAreaChart(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("g", {
    fillRule: "evenodd"
  }, React.createElement("path", {
    transform: "matrix(-1 0 0 1 21.5 3)",
    d: "M18 7.5L14.5 4 9.5 9 5.5 7 0.5 11"
  }), React.createElement("path", {
    d: "M0.13,0 L0,16 C0,17.1045695 0.8954305,18 2,18 L18,18",
    transform: "translate(3 3)"
  })));
});