import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconAssessmentGraph(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("g", {
    transform: "translate(3 3)",
    fillRule: "evenodd"
  }, React.createElement("circle", {
    fill: "currentColor",
    cx: "7",
    cy: "11",
    r: "1"
  }), React.createElement("circle", {
    fill: "currentColor",
    cx: "14",
    cy: "5",
    r: "1"
  }), React.createElement("path", {
    d: "M0.13,0 L0,16 C0,17.1045695 0.8954305,18 2,18 L18,18"
  })));
});