import React from 'react';
import fontStyle from '../style';
export default React.memo(function IconTreeView(props) {
  var baseStyle = props.customStyle ? props.customStyle === true ? undefined : props.customStyle : fontStyle;
  return React.createElement("svg", {
    style: Object.assign({}, baseStyle, props.style),
    className: props.className,
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    preserveAspectRatio: "xMaxYMid slice",
    focusable: "false",
    "data-featherico": true
  }, React.createElement("g", {
    transform: "translate(2 1)",
    fillRule: "evenodd"
  }, React.createElement("circle", {
    cx: "10",
    cy: "20",
    r: "2"
  }), React.createElement("circle", {
    cx: "2",
    cy: "2",
    r: "2"
  }), React.createElement("circle", {
    cx: "18",
    cy: "14",
    r: "2"
  }), React.createElement("circle", {
    cx: "10",
    cy: "8",
    r: "2"
  }), React.createElement("path", {
    d: "M8 20L5 20C3.34314575 20 2 18.6568542 2 17L2 4M16 14L13 14C11.3431458 14 10 12.6568542 10 11L10 10"
  }), React.createElement("path", {
    d: "M2,8 L8,8"
  })));
});